SchemaAccessibility
Keywords: uk.ac.ic.doc.rodex.p2p.messages.applicationlayer.SchemaAccessibility class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.rodex.p2p.messages.applicationlayer
Class SchemaAccessibility

    java.lang.Object
      uk.ac.ic.doc.rodex.p2p.messages.applicationlayer.SchemaAccessibility

All Implemented Interfaces:
  PersistentObject

    public class SchemaAccessibility

extends java.lang.Object
implements PersistentObject

SchemaAccessibility.java

Author:
  Duc M Le dmle@doc.ic.ac.uk Created on 20 April 2006 Department of Computing, Imperial College

Field Summary
`static int` | `OPT_DELETE`
`static int` | `OPT_READ`
`static int` | `OPT_WRITE`
`static int` | `TYPE_EXTRA`
`static int` | `TYPE_INTRA`

Constructor Summary
`SchemaAccessibility(java.lang.String name, java.lang.String description, java.lang.String[] models, int type, int operation)` Creates a new instance of SchemaAccessibility

Method Summary
`java.lang.String` | `getDescription()`
`PersistentKey` | `getKey()`
`java.lang.String` | `getModelString()`
`java.lang.String` | `getName()`
`int` | `getOperation()`
`java.util.Map` | `getPersistentAttributes()`
`int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_INTRA

    public static final int TYPE_INTRA

See Also:
  Constant Field Values

### TYPE_EXTRA

    public static final int TYPE_EXTRA

See Also:
  Constant Field Values

### OPT_READ

    public static final int OPT_READ

See Also:
  Constant Field Values

### OPT_WRITE

    public static final int OPT_WRITE

See Also:
  Constant Field Values

### OPT_DELETE

    public static final int OPT_DELETE

See Also:
  Constant Field Values

Constructor Detail

### SchemaAccessibility

    public SchemaAccessibility(java.lang.String name,
                               java.lang.String description,
                               java.lang.String[] models,
                               int type,
                               int operation)

  Creates a new instance of SchemaAccessibility

Method Detail

### getKey

    public PersistentKey getKey()

  Specified by:
    `getKey` in interface `PersistentObject`

### getPersistentAttributes

    public java.util.Map getPersistentAttributes()

  Specified by:
    `getPersistentAttributes` in interface `PersistentObject`

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### getModelString

    public java.lang.String getModelString()

### getType

    public int getType()

### getOperation

    public int getOperation()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD